<template>
  <v-col>
    <v-row class="ml-4">
      <span class="titulo">CLIENTES</span>
    </v-row>
    <v-btn
      v-if="$vuetify.breakpoint.smAndDown"
      class="flotante"
      fab
      color="accent"
      bottom
      right
      @click="abrirForm"
    >
      <v-icon class="fal fa-user-plus" dark />
    </v-btn>
    <lista-clientes @onEdit="editarForm" @onAbrir="abrirForm" />
    <v-dialog v-model="dialogClientes" width="500" :fullscreen="$vuetify.breakpoint.smAndDown">
      <form-clientes v-if="dialogClientes" :cliente="cliente" @onClose="closeDialog" />
    </v-dialog>
  </v-col>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator'
import ListaClientes from '~/components/clientes/listaClientes.vue'
import FormClientes from '~/components/clientes/formClientes.vue'
import { Cliente } from '~/core/models/cliente'
    @Component({
      components: { FormClientes, ListaClientes },
      head: { title: 'Clientes' },
      middleware: 'auth'
    })
export default class clientes extends Vue {
        dialogClientes:boolean = false;

        cliente:Cliente = null;

        abrirForm () {
          this.dialogClientes = true
        }

        editarForm (val) {
          this.cliente = val
          this.dialogClientes = true
        }

        closeDialog () {
          this.dialogClientes = false
          this.cliente = null
        }
}
</script>

<style lang="scss">

</style>
